Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## commonj.work
Class WorkCompletedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              commonj.work.WorkException
                  commonj.work.WorkCompletedException

All Implemented Interfaces:
  Serializable

    public class WorkCompletedException

extends WorkException

This exception indicates that a Work started but completed with an exception.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`WorkCompletedException()` Constructor for a WorkCompletedException
`WorkCompletedException(String message)` Constructor for a WorkCompletedException
`WorkCompletedException(String message, List list)` Constructor for a WorkCompletedException
`WorkCompletedException(String message, Throwable cause)` Constructor for a WorkCompletedException
`WorkCompletedException(Throwable cause)` Constructor for a WorkCompletedException

Method Summary
`List` | `getExceptionList()` This allows a list of exceptions to be returned.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkCompletedException

    public WorkCompletedException()

  Constructor for a WorkCompletedException

  Since:
    1.0

### WorkCompletedException

    public WorkCompletedException(String message)

  Constructor for a WorkCompletedException

  Parameters:
    `message` -
  Since:
    1.0

### WorkCompletedException

    public WorkCompletedException(String message,
                                  Throwable cause)

  Constructor for a WorkCompletedException

  Parameters:
    `message` -
    `cause` -
  Since:
    1.0

### WorkCompletedException

    public WorkCompletedException(Throwable cause)

  Constructor for a WorkCompletedException

  Parameters:
    `cause` -
  Since:
    1.0

### WorkCompletedException

    public WorkCompletedException(String message,
                                  List list)

  Constructor for a WorkCompletedException

  Parameters:
    `message` -
    `list` -
  Since:
    1.0

Method Detail

### getExceptionList

    public List getExceptionList()

  This allows a list of exceptions to be returned. When the Work fails to complete because of an exception then the list has a single entry and this is the same as if getCause was called.

  Returns:
    The list of null is no exception is present.
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD